package cn.com.countrygarden.bi.main.service.experience;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.experience.TygGzhInfoManageDto;
import cn.com.countrygarden.bi.main.dto.experience.TygGzhUserInfoDto;
import cn.com.countrygarden.bi.main.model.experience.TygGzhInfoManage;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface TygGzhInfoManageService {
    Result add(TygGzhInfoManage tygGzhInfoManage, HttpServletRequest req);

    Result list(TygGzhInfoManageDto tygGzhInfoManageDto);

    Result one(String id);

    Result del(String id);

    Result chooseUser(String id, int page, int size, String userId);

    Result selectUser(TygGzhUserInfoDto id);

    Result delselectUser(String id, String userIds);

    Result sendMessage(String id);

    Result tag(String id);
}
